Package org.codehaus.groovy.transform

# Class BuilderASTTransformation.AbstractBuilderStrategy

java.lang.Object
org.codehaus.groovy.transform.BuilderASTTransformation.AbstractBuilderStrategy

All Implemented Interfaces:
  `BuilderASTTransformation.BuilderStrategy`

Direct Known Subclasses:
  `DefaultStrategy`, `ExternalStrategy`, `InitializerStrategy`, `SimpleStrategy`

Enclosing class:
  `BuilderASTTransformation`

public abstract static class BuilderASTTransformation.AbstractBuilderStrategy extends Object implements BuilderASTTransformation.BuilderStrategy

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`protected static class`
`BuilderASTTransformation.AbstractBuilderStrategy.PropertyInfo`

## Constructor Summary

Constructors
Constructor
Description
`AbstractBuilderStrategy()`

## Method Summary

Modifier and Type
Method
Description
`protected void`
`checkKnownField(BuilderASTTransformation transform, AnnotationNode anno, String name, List<FieldNode> fields)`
`protected void`
`checkKnownProperty(BuilderASTTransformation transform, AnnotationNode anno, String name, List<BuilderASTTransformation.AbstractBuilderStrategy.PropertyInfo> properties)`
`protected boolean`
`getIncludeExclude(BuilderASTTransformation transform, AnnotationNode anno, ClassNode cNode, List<String> excludes, List<String> includes)`
`protected static List<BuilderASTTransformation.AbstractBuilderStrategy.PropertyInfo>`
`getPropertyInfoFromClassNode(ClassNode cNode, List<String> includes, List<String> excludes)`
`protected String`
`getSetterName(String prefix, String fieldName)`
`protected boolean`
`unsupportedAttribute(BuilderASTTransformation transform, AnnotationNode anno, String memberName)`
`protected boolean`
`unsupportedAttribute(BuilderASTTransformation transform, AnnotationNode anno, String memberName, String extraMessage)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.codehaus.groovy.transform.BuilderASTTransformation.BuilderStrategy

`build`

## Constructor Details

### AbstractBuilderStrategy

public AbstractBuilderStrategy()

## Method Details

### getPropertyInfoFromClassNode

protected static List<BuilderASTTransformation.AbstractBuilderStrategy.PropertyInfo> getPropertyInfoFromClassNode(ClassNode cNode, List<String> includes, List<String> excludes)

### getSetterName

protected String getSetterName(String prefix, String fieldName)

### unsupportedAttribute

protected boolean unsupportedAttribute(BuilderASTTransformation transform, AnnotationNode anno, String memberName)

### unsupportedAttribute

protected boolean unsupportedAttribute(BuilderASTTransformation transform, AnnotationNode anno, String memberName, String extraMessage)

### checkKnownProperty

protected void checkKnownProperty(BuilderASTTransformation transform, AnnotationNode anno, String name, List<BuilderASTTransformation.AbstractBuilderStrategy.PropertyInfo> properties)

### checkKnownField

protected void checkKnownField(BuilderASTTransformation transform, AnnotationNode anno, String name, List<FieldNode> fields)

### getIncludeExclude

protected boolean getIncludeExclude(BuilderASTTransformation transform, AnnotationNode anno, ClassNode cNode, List<String> excludes, List<String> includes)